#ifndef PAIC_COMMON_H
#define PAIC_COMMON_H

#include <glib.h>
#include <GL/ice-t.h>

#define unlikely(x) __builtin_expect(!!(x), 0)

G_GNUC_PURE static inline GLint
pk_tiles()
{
    GLint v;
    icetGetIntegerv(ICET_NUM_TILES, &v);
    assert(v > 0);
    return v;
}

G_GNUC_PURE static inline GLint
pk_procs()
{
    GLint v;
    icetGetIntegerv(ICET_NUM_PROCESSES, &v);
    assert(v > 0);
    return v;
}

G_GNUC_PURE static inline GLint
pk_rank()
{
    GLint v;
    icetGetIntegerv(ICET_RANK, &v);
    return v;
}

#endif /* PAIC_COMMON_H */
