/**
 * \file hc.h
 * \brief HotCoffee management.
 * \author Tom Fogal
 * \date 2008-07-05
 */
#ifndef OGL_HC_H
#define OGL_HC_H

#ifndef _POSIX_C_SOURCE
#define _POSIX_C_SOURCE 200112L
#endif /* !_POSIX_C_SOURCE */

struct gl_draw_fqn {
    void (*gl_draw)(void);
    size_t width;
    size_t height;
};

void hc_init();

void hc_render(const struct gl_draw_fqn * const);

void hc_deinit();

#endif /* OGL_HC_H */
