/**
 * \file l_mpi.c
 * \brief Local MPI management.
 * \author Tom Fogal
 * \date 2008-07-06
 */
#ifndef _POSIX_C_SOURCE
#define _POSIX_C_SOURCE 200112L
#endif /* !_POSIX_C_SOURCE */

#include <mpi.h>

#include "l_mpi.h"

void
mpi_init(int argc, char **argv)
{
    MPI_Init(&argc, &argv);
}

void mpi_deinit()
{
    MPI_Finalize();
}
