set terminal postscript landscape color
set size 1.5, 1.5
set output "ogl.eps"

set title "OpenGL Readback Performance"
set xlabel "Number of Pixels"
set ylabel "Time for a Readback"

# Unfortunately, I can't seem to put the raw data in.  There's too much of it,
# and there are absurd outliers which disturb the Y axis.
#plot \
#    "datafile" using ($1*$2):3 smooth unique lw 4 title 'Averaged', \
#    "datafile" using ($1*$2):3 lw 4 title 'Raw'

#set ytics 0,1000
set logscale y
plot "datafile" using ($1*$2):3 smooth unique lw 4 title 'Averaged'
