#ifndef FFN_TYPES_H
#define FFN_TYPES_H

/** Don't try to redefine bool or anything crazy if we're using C++ */
#ifndef __cplusplus

/** `bool' is a standard C99 type; we don't want to define it if the compiler
 * will! */
#if defined __STDC_VERSION__ && __STDC_VERSION__ >= 199901L
#  include <stdbool.h>
#else /* not C99 */
typedef unsigned char bool;                                                     
#  ifndef false
#     define false 0
#  endif
#  ifndef true
#     define true 1
#  endif
#endif /* C99 */

#endif /* __cplusplus */

typedef void* tptr;
typedef const void* tconstptr;

#endif /* FFN_TYPES_H */
